--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns a Hash of attributes from the model map
- !ruby/struct:SM::Flow::P 
  body: "@param klass [Class, DataMapper::Resource] @param name [Symbol]"
- !ruby/struct:SM::Flow::P 
  body: "@returns [Hash] existing instance of a model from the model map @raises NoFixtureExist when requested fixture does not exist in the model map"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Sweatshop::attributes
is_singleton: true
name: attributes
params: (klass, name)
visibility: public
